summaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorMichael E Brown <michael_e_brown@dell.com>2007-12-13 15:09:52 -0600
committerMichael E Brown <michael_e_brown@dell.com>2007-12-13 15:09:52 -0600
commit1e92c25cb133e4e8d55eb837f2650587636af3ef (patch)
tree207024348fb4fe297df11b89ed32e58b51d2e2b8 /docs
parentb9ea13ab85d0ea544e3496d57bc9c167709121f1 (diff)
downloadmock-1e92c25cb133e4e8d55eb837f2650587636af3ef.tar.gz
mock-1e92c25cb133e4e8d55eb837f2650587636af3ef.tar.xz
mock-1e92c25cb133e4e8d55eb837f2650587636af3ef.zip
make releasetests.sh call runtests.sh using automake 'make check' target, as well as run std automake distcheck stuff.
Diffstat (limited to 'docs')
-rwxr-xr-xdocs/releasetests.sh150
1 files changed, 2 insertions, 148 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index d627bff..0c1727c 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -22,156 +22,10 @@ DIR=$(cd $(dirname $0); pwd)
TOP_SRCTREE=$DIR/../
cd $TOP_SRCTREE
-./autogen.sh
make distclean ||:
+./autogen.sh
./configure
make distcheck
make srpm
-gcc -o docs/daemontest docs/daemontest.c
-
-#
-# most tests below will use this mock command line
-#
-testConfig=fedora-8-x86_64
-uniqueext="$$-$RANDOM"
-MOCKCMD="sudo ./py/mock.py --resultdir=$TOP_SRCTREE/mock-unit-test --uniqueext=$uniqueext -r $testConfig $MOCK_EXTRA_ARGS"
-CHROOT=/var/lib/mock/${testConfig}-$uniqueext/root
-
-# clear out any old test results
-sudo rm -rf $TOP_SRCTREE/mock-unit-test
-
-# clear out root cache so we get at least run without root cache present
-sudo rm -rf /var/lib/mock/cache/${testConfig}/root_cache
-
-#
-# pre-populate yum cache for the rest of the commands below
-#
-time $MOCKCMD --init
-time $MOCKCMD --installdeps mock-*.src.rpm
-if [ ! -e $CHROOT/usr/include/python* ]; then
- echo "installdeps test FAILED. could not find /usr/include/python*"
- exit 1
-fi
-
-#
-# Test that chroot return code is properly passed up
-#
-set +e
-time $MOCKCMD --offline --chroot -- bash -c "exit 5"
-if [ $? -ne 5 ]; then
- echo "'mock --chroot' return code not properly passed back."
- exit 1
-fi
-set -e
-
-#
-# test mock shell (interactive) and return code passing
-#
-set +e
-echo exit 5 | time $MOCKCMD --offline --shell
-if [ $? -ne 5 ]; then
- echo "'mock --chroot' return code not properly passed back."
- exit 1
-fi
-set -e
-
-#
-# Test that chroot with one arg is getting passed though a shell (via os.system())
-#
-time $MOCKCMD --offline --chroot 'touch /tmp/{foo,bar,baz}'
-if [ ! -f $CHROOT/tmp/foo ] || [ ! -f $CHROOT/tmp/bar ] || [ ! -f $CHROOT/tmp/baz ]; then
- echo "'mock --chroot' with one argument is not being passed to os.system()"
- exit 1
-fi
-
-#
-# Test that chroot with more than one arg is not getting passed through a shell
-#
-time $MOCKCMD --offline --chroot touch '/tmp/{quux,wibble}'
-if [ ! -f $CHROOT/tmp/\{quux,wibble\} ] || [ -f $CHROOT/tmp/quux ] || [ -f $CHROOT/tmp/wibble ]; then
- echo "'mock --chroot' with more than one argument is being passed to os.system()"
- exit 1
-fi
-
-#
-# Test offline build
-#
-time $MOCKCMD --offline --rebuild mock-*.src.rpm
-if [ ! -e mock-unit-test/mock-*.x86_64.rpm ]; then
- echo "rebuild test FAILED. could not find mock-unit-test/mock-*.x86_64.rpm"
- exit 1
-fi
-
-#
-# Test orphanskill feature (std)
-#
-if pgrep daemontest; then
- echo "Exiting because there is already a daemontest running."
- exit 1
-fi
-time $MOCKCMD --offline --init
-cp docs/daemontest $CHROOT/tmp
-time $MOCKCMD --offline --chroot -- /tmp/daemontest
-if pgrep daemontest; then
- echo "Daemontest FAILED. found a daemontest process running after exit."
- exit 1
-fi
-
-#
-# Test orphanskill feature (explicit)
-#
-time $MOCKCMD --offline --init
-cp docs/daemontest $CHROOT/tmp
-echo -e "#!/bin/sh\n/tmp/daemontest\nsleep 60\n" >> $CHROOT/tmp/try
-# the following should launch about three processes in the chroot: bash, sleep, daemontest
-$MOCKCMD --offline --chroot -- bash /tmp/try &
-mockpid=$!
-sleep 1
-# now we 'prematurely' kill mock. This should leave the three orphans above
-sudo kill -9 $mockpid
-if ! pgrep daemontest; then
- echo "Daemontest failed. daemontest should be running now but is not."
- exit 1
-fi
-$MOCKCMD --offline --orphanskill
-if pgrep daemontest; then
- echo "Daemontest FAILED. found a daemontest process running after exit."
- exit 1
-fi
-
-
-#
-# test init/clean
-#
-time $MOCKCMD --offline --clean
-if [ -e $CHROOT ]; then
- echo "clean test FAILED. still found $CHROOT dir."
- exit 1
-fi
-
-time $MOCKCMD --offline --init
-time $MOCKCMD --offline --install ccache
-if [ ! -e $CHROOT/usr/bin/ccache ]; then
- echo "init/clean test FAILED. ccache not found."
- exit 1
-fi
-
-#
-# test old-style cmdline options
-#
-time $MOCKCMD --offline clean
-time $MOCKCMD --offline init
-time $MOCKCMD --offline install ccache
-if [ ! -e $CHROOT/usr/bin/ccache ]; then
- echo "init/clean test FAILED. ccache not found."
- exit 1
-fi
-
-#
-# Test build all configs we ship.
-#
-for i in $(ls etc/mock | grep .cfg | grep -v default | grep -v ppc); do
- time sudo ./py/mock.py --resultdir=$TOP_SRCTREE/mock-unit-test --uniqueext=$uniqueext rebuild mock-*.src.rpm -r $(basename $i .cfg) $MOCK_EXTRA_ARGS
-done
-
+make check